%define name	ktikz

Summary:	Program for creating diagrams with TikZ
Name:		%{name}
Version:	0.11.0svn194
Release:	1
Source0:	%{name}-%{version}.tar.bz2
License:	GPLv3+
Group:		Graphics
Url:		http://www.hackenberger.at/ktikz/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	tetex-latex, poppler
BuildRequires:	qt4-devel >= 4.6.0, qt4-assistant >= 4.6.0
BuildRequires:	libpoppler-qt4-devel
BuildRequires:	kdelibs4-devel

%description
KtikZ is a small KDE application for creating diagrams with TikZ.

%package -n qtikz
Summary:	Program for creating diagrams with TikZ
Group:		Graphics

%description -n qtikz
QtikZ is a small application for creating diagrams with TikZ.

%prep
%setup -q 

%build
sed -i -e 's,lrelease-qt4,lrelease,' qtikzconfig.pri
sed -i -e 's,\#MIME_INSTALL,MIME_INSTALL,' qtikzconfig.pri
sed -i -e 's,\/usr\/share\/mime\/packages,\$\$\{PREFIX\}\/share\/mime\/packages,' qtikzconfig.pri

mkdir buildqt
pushd buildqt
%qmake_qt4 ../qtikz.pro
%make
popd

%cmake_kde4
%make

%install
%__rm -rf %{buildroot}

pushd buildqt
INSTALL_ROOT=%{buildroot} %make install 
popd
pushd build
%make DESTDIR=%{buildroot} install 
rm -rf %{buildroot}%{_datadir}/mime/[agimstX]* %{buildroot}%{_datadir}/mime/text
popd

mv data/examples examples

chmod -R a+r Changelog LICENSE.* TODO examples/
chmod a+x examples

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changelog LICENSE.* TODO examples/
%{_bindir}/ktikz
%{_bindir}/ktikz
%{_libdir}/kde4/ktikz*so
%{_datadir}/config.kcfg/ktikz*
%{_datadir}/apps/ktikz*/*
%{_datadir}/applications/kde4/ktikz.desktop
%{_datadir}/kde4/services/ktikz*.desktop
%{_datadir}/doc/*
%{_iconsdir}/*/*/*/ktikz.*
%{_datadir}/locale/*/*/ktikz.mo
%{_datadir}/mime/packages/ktikz.xml
%{_mandir}/man1/ktikz.*

%files -n qtikz
%defattr(-,root,root)
%doc Changelog LICENSE.* TODO examples/
%{_bindir}/qtikz
%{_datadir}/qtikz/*
%{_datadir}/applications/qtikz.desktop
%{_datadir}/mime/packages/qtikz.xml
%{_mandir}/man1/qtikz.*


%changelog
* Tue Aug 02 2011 Alexandre Lissy <alissy@mandriva.com> 0.11.0svn194-1
+ Revision: 692852
- Updating ktikz to latest pre 0.11, svn revision 194
- Adding rpm-common stuff

* Sun Apr 17 2011 Alexandre Lissy <alissy@mandriva.com> 0.11-0.svn166.1
+ Revision: 654385
- Release bump
  Using %%cmake_kde4 macro to avoid bad paths: fixes parts of the translation not being used.
  Using DESTDIR in ktikz install part to install to BUILDROOT
  Moving from buildkde to build (no choice, %%cmake_kde4 rule)

* Sun Apr 17 2011 Alexandre Lissy <alissy@mandriva.com> 0.11-0.svn166
+ Revision: 654019
- Updating to svn revision r166: provides latest updates (including french locale)
  Fix build issue with 'g++ --libs'

* Thu Dec 16 2010 Lev Givon <lev@mandriva.org> 0.11-0.svn149mdv2011.0
+ Revision: 622221
- Update to 0.11.
  Package qtikz and ktikz in separate packages.

* Sun Sep 12 2010 Lev Givon <lev@mandriva.org> 0.10-0.svn140mdv2011.0
+ Revision: 577836
- Update to svn release 140.

* Fri Mar 19 2010 Lev Givon <lev@mandriva.org> 0.10-0.svn83mdv2010.1
+ Revision: 525277
- Update to 0.10.

* Mon Mar 01 2010 Lev Givon <lev@mandriva.org> 0.9-0.svn70mdv2010.1
+ Revision: 513066
- import ktikz

